package com.cim.idm.wmspackage.durable.management.data;

import java.sql.Timestamp;

import com.cim.idm.framework.orm.info.DataInfo;
import com.cim.idm.framework.orm.info.access.FieldAccessor;

public class DurableHistory extends FieldAccessor implements DataInfo<DurableHistoryKey> {

	private DurableHistoryKey key;

    private Timestamp createTime;

    private String createUser;
    
    private String durableState; //Avaliable/NotAvaliable/InUse/NotInUse
    
    private String durableSpecName; 
    
//    private long packingGroupQuantity;//ex. Pallet Qty. or Box Qty.
    private long assignedPackingQuantity;//ex. Pallet Qty. or Box Qty.
	
    private String locationName;
    
    //Event 
	private String eventName;
	private Timestamp eventTime;
	private String eventUser;
	private String eventComment;
	private String reasonCodeType;
	private String reasonCode;
	
	@Override
	public DurableHistoryKey getKey() {
		return key;
	}

	@Override
	public void setKey(DurableHistoryKey keyInfo) {
		this.key = keyInfo;
		
	}
	
	public Timestamp getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Timestamp createTime) {
		this.createTime = createTime;
	}

	public String getCreateUser() {
		return createUser;
	}

	public void setCreateUser(String createUser) {
		this.createUser = createUser;
	}

	public String getDurableState() {
		return durableState;
	}

	public void setDurableState(String durableState) {
		this.durableState = durableState;
	}

	public String getDurableSpecName() {
		return durableSpecName;
	}

	public void setDurableSpecName(String durableSpecName) {
		this.durableSpecName = durableSpecName;
	}

	public String getEventName() {
		return eventName;
	}

	public void setEventName(String eventName) {
		this.eventName = eventName;
	}

	public Timestamp getEventTime() {
		return eventTime;
	}

	public void setEventTime(Timestamp eventTime) {
		this.eventTime = eventTime;
	}

	public String getEventUser() {
		return eventUser;
	}

	public void setEventUser(String eventUser) {
		this.eventUser = eventUser;
	}

	public String getEventComment() {
		return eventComment;
	}

	public void setEventComment(String eventComment) {
		this.eventComment = eventComment;
	}

	public String getReasonCodeType() {
		return reasonCodeType;
	}

	public void setReasonCodeType(String reasonCodeType) {
		this.reasonCodeType = reasonCodeType;
	}

	public String getReasonCode() {
		return reasonCode;
	}

	public void setReasonCode(String reasonCode) {
		this.reasonCode = reasonCode;
	}

	public String getLocationName() {
		return locationName;
	}

	public void setLocationName(String locationName) {
		this.locationName = locationName;
	}

	public long getAssignedPackingQuantity() {
		return assignedPackingQuantity;
	}

	public void setAssignedPackingQuantity(long assignedPackingQuantity) {
		this.assignedPackingQuantity = assignedPackingQuantity;
	}

//	public long getPackingGroupQuantity() {
//		return packingGroupQuantity;
//	}
//
//	public void setPackingGroupQuantity(long packingGroupQuantity) {
//		this.packingGroupQuantity = packingGroupQuantity;
//	}

}
